## org.apache.cocoon.interpreter
Interface Instance

All Known Implementing Classes:
  EcmaScriptInstance, JavaInstance

public interface Instance

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:25 $
Author:
  Ricardo Rocha

Method Summary
`void` `destroy()`
`java.lang.Object` `getInstance()`
`org.w3c.dom.Node` `invoke(java.lang.String methodName, java.util.Dictionary parameters, org.w3c.dom.Node source)`

Method Detail

### getInstance

    public java.lang.Object getInstance()

### invoke

    public org.w3c.dom.Node invoke(java.lang.String methodName,
                                   java.util.Dictionary parameters,
                                   org.w3c.dom.Node source)
                            throws LanguageException

### destroy

    public void destroy()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.